Subject: RE: [dhcwg] RE: I-D ACTION:draft-droms-dhcp-relay-agent-ipsec-00. txt

From: "Bernie Volz (EUD)" <[email-masked]>
Date: Mon, 4 Nov 2002 11:32:50 -0600

Thomas:

I agree that as you get closer to the server, the security is likely to improve,
but are you willing to allow this to be the default? How can we be sure that these
parts of the network are secured?

My feeling is that we should never allow (by default) security to INCREASE. If you
do, you are giving a false sense of security.

I used SHOULD NOT because that should be the default behavior. Sure, it is fine
to allow the relay agent to be configurable to allow this but it should not be
the default.

- Bernie

-----Original Message-----
From: Thomas Narten [mailto:[email-masked]]
Sent: Monday, November 04, 2002 12:21 PM
To: Bernie Volz (EUD)
Cc: 'Ralph Droms'; [email-masked]
Subject: Re: [dhcwg] RE: I-D
ACTION:draft-droms-dhcp-relay-agent-ipsec-00.txt 

> Yes, that was the text I was referring to. And, I think we are in
> agreement. I just feel it is better to state it the other way around
> - a relay agent SHOULD NOT relay a relayed message (giaddr field is
> no-zero) using IPsec unless the relay received that message secured
> by IPsec.

So if you have three DHC "hops" in your path, but one of them is
unprotected, it makes no sense to protect the other two ? That doesn't
follow at all.

The threats one is concerned about may vary on each "hop". It may well
make sense to protect the hop(s) that traverse paths where one is
particularly worried about threats, while not being as worried about
certain other hop on the overal path.

Right?

Thomas